Subject: Re: powerpc/configs: Re-enable HARD/SOFT lockup detectors

From: Michael Ellerman <[email-masked]>
Date: Thu, 10 Aug 2017 22:07:10 +1000 (AEST)

On Wed, 2017-08-09 at 10:57:55 UTC, Michael Ellerman wrote:
> In commit 05a4a9527931 ("kernel/watchdog: split up config options"),
> CONFIG_LOCKUP_DETECTOR was split into two separate config options,
> CONFIG_HARDLOCKUP_DETECTOR and CONFIG_SOFTLOCKUP_DETECTOR.
> 
> Our defconfigs still have CONFIG_LOCKUP_DETECTOR=y, but that is no longer
> user selectable, and we don't mention the new options, so we end up with
> none of them enabled.
> 
> So update the defconfigs to turn on the new SOFT and HARD options, the
> end result being the same as what we had previously.
> 
> Fixes: 05a4a9527931 ("kernel/watchdog: split up config options")
> Signed-off-by: Michael Ellerman <[email-masked]>

Applied to powerpc fixes.

https://git.kernel.org/powerpc/c/7310d5c8c55e8987a854507f71022f

cheers